Subject: Re: RTM_DELROUTE on interface going down - when to send?

From: Nicolas Dichtel <[email-masked]>
Date: Wed, 18 Dec 2013 10:16:53 +0100

Le 17/12/2013 15:01, Michal Kubecek a écrit :
> On Tue, Dec 17, 2013 at 01:11:32PM +0100, Kristian Evensen wrote:
>> On Tue, Dec 17, 2013 at 12:05 PM, Michal Kubecek <[email-masked]> wrote:
>>>
>>> Before I start with the patch, I would like to ask: would it be more
>>> appropriate to send the message when the route is marked as dead or when
>>> it is actually deleted from the trie?
>>
>> I noticed the same thing a few months ago and submitted a patch
>> (http://www.spinics.net/lists/netdev/msg254106.html). However, it was
>> not applied because it would cause too much traffic on large-scale
>> routers (see davem's reply here
>> http://www.spinics.net/lists/netdev/msg254186.html).
>
> Thank you for the pointer. However, I agree that the inconsistencies
> (IPv4 vs. IPv6, RTM_DELROUTE vs. RTM_NEWROUTE) are really unfortunate.
Sure. Note that this fix is regularly proposed, another pointer:
http://patchwork.ozlabs.org/patch/195516/